// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\danim.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDA3Array extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{3089D9A0-4CE1-11D2-933E-00A0C9B72D4D}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDA3Array.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDA3Array Object
     */
    public IDA3Array() throws COMException {
        super();
    }
    /**
     * Creates IDA3Array Object with progID
     */
    public IDA3Array(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDA3Array Object
     */
    public IDA3Array(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDA3Array Object with CLSID
     */
    public IDA3Array(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDABehavior NthAnim(IDANumber index_0) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("NthAnim", new Object[]{index_0}, 1));
    }
    /**
     * 
     */
    public IDANumber Length() throws COMException {
        return new IDANumber((DispatchPtr) invoke("Length"));
    }
    /**
     * 
     */
    public int AddElement(IDABehavior b_0, int flag_1) throws COMException {
        return ((java.lang.Integer) invokeN("AddElement", new Object[]{b_0, new java.lang.Integer(flag_1)}, 2)).intValue();
    }
    /**
     * 
     */
    public void RemoveElement(int i_0) throws COMException {
        invokeN("RemoveElement", new Object[]{new java.lang.Integer(i_0)}, 1);
    }
    /**
     * 
     */
    public void SetElement(int index, IDABehavior b, int flag) throws COMException {
        invokeN("SetElement", new Object[]{new java.lang.Integer(index), b, new java.lang.Integer(flag)}, 3);
    }
    /**
     * 
     */
    public IDABehavior GetElement(int index) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("GetElement", new Object[]{new java.lang.Integer(index)}, 1));
    }
}
