// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\danim.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDA3Image extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{AD083DBB-5817-11D2-ABA1-00C04FD92B6B}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDA3Image.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDA3Image Object
     */
    public IDA3Image() throws COMException {
        super();
    }
    /**
     * Creates IDA3Image Object with progID
     */
    public IDA3Image(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDA3Image Object
     */
    public IDA3Image(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDA3Image Object with CLSID
     */
    public IDA3Image(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDAPickableResult Pickable() throws COMException {
        return new IDAPickableResult((DispatchPtr) invoke("Pickable"));
    }
    /**
     * 
     */
    public IDAPickableResult PickableOccluded() throws COMException {
        return new IDAPickableResult((DispatchPtr) invoke("PickableOccluded"));
    }
    /**
     * 
     */
    public IDAImage ApplyBitmapEffect(IUnknown effectToApply_0, IDAEvent firesWhenChanged_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ApplyBitmapEffect", new Object[]{effectToApply_0, firesWhenChanged_1}, 2));
    }
    /**
     * 
     */
    public IDABbox2 getBoundingBox() throws COMException {
        return new IDABbox2((DispatchPtr) get("BoundingBox"));
    }
    /**
     * 
     */
    public IDAImage Crop(IDAPoint2 min_0, IDAPoint2 max_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Crop", new Object[]{min_0, max_1}, 2));
    }
    /**
     * 
     */
    public IDAImage Transform(IDATransform2 xf_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Transform", new Object[]{xf_0}, 1));
    }
    /**
     * 
     */
    public IDAImage OpacityAnim(IDANumber opacity_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("OpacityAnim", new Object[]{opacity_0}, 1));
    }
    /**
     * 
     */
    public IDAImage Opacity(double opacity_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Opacity", new Object[]{new java.lang.Double(opacity_0)}, 1));
    }
    /**
     * 
     */
    public IDAImage Undetectable() throws COMException {
        return new IDAImage((DispatchPtr) invoke("Undetectable"));
    }
    /**
     * 
     */
    public IDAImage Tile() throws COMException {
        return new IDAImage((DispatchPtr) invoke("Tile"));
    }
    /**
     * 
     */
    public IDAImage Clip(IDAMatte m_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Clip", new Object[]{m_0}, 1));
    }
    /**
     * 
     */
    public IDAImage MapToUnitSquare() throws COMException {
        return new IDAImage((DispatchPtr) invoke("MapToUnitSquare"));
    }
    /**
     * 
     */
    public IDAImage ClipPolygonImageEx(int points_0size, ObjectRef points_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ClipPolygonImageEx", new Object[]{new java.lang.Integer(points_0size), points_0}, 2));
    }
    /**
     * 
     */
    public IDAImage ClipPolygonImage(java.lang.Object points_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ClipPolygonImage", new Object[]{points_0}, 1));
    }
    /**
     * 
     */
    public IDAImage AddPickData(IUnknown id_0, boolean ignoresOcclusion_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("AddPickData", new Object[]{id_0, new java.lang.Boolean(ignoresOcclusion_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage RenderResolution(int width_0, int height_1) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("RenderResolution", new Object[]{new java.lang.Integer(width_0), new java.lang.Integer(height_1)}, 2));
    }
    /**
     * 
     */
    public IDAImage ImageQuality(int dwQualityFlags_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ImageQuality", new Object[]{new java.lang.Integer(dwQualityFlags_0)}, 1));
    }
    /**
     * 
     */
    public IDAImage ColorKey(IDAColor colorKey_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("ColorKey", new Object[]{colorKey_0}, 1));
    }
    /**
     * 
     */
    public IDAImage TransformColorRGB(IDATransform3 xf_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("TransformColorRGB", new Object[]{xf_0}, 1));
    }
}
