// created by OLEWrapgen
// from TypeLib at C:\Program Files\Common Files\Microsoft Shared\Office10\MSO.DLL
// check for latest version at http://www.composiasoft.com

package Excel;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;

import Office.*;

public class DiagramNode extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{000C0370-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, DiagramNode.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty DiagramNode Object
     */
    public DiagramNode() throws COMException {
        super();
    }
    /**
     * Creates DiagramNode Object with progID
     */
    public DiagramNode(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of DiagramNode Object
     */
    public DiagramNode(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates DiagramNode Object with CLSID
     */
    public DiagramNode(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public DispatchPtr getApplication() throws COMException {
        return (DispatchPtr) get("Application");
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DiagramNode AddNode(int pos, int nodeType) throws COMException {
        return new DiagramNode((DispatchPtr) invokeN("AddNode", new Object[]{new java.lang.Integer(pos), new java.lang.Integer(nodeType)}, 2));
    }
    /**
     * 
     */
    public void Delete() throws COMException {
        invoke("Delete");
    }
    /**
     * 
     */
    public void MoveNode(DiagramNode pTargetNode, int pos) throws COMException {
        invokeN("MoveNode", new Object[]{pTargetNode, new java.lang.Integer(pos)}, 2);
    }
    /**
     * 
     */
    public void ReplaceNode(DiagramNode pTargetNode) throws COMException {
        invokeN("ReplaceNode", new Object[]{pTargetNode}, 1);
    }
    /**
     * 
     */
    public void SwapNode(DiagramNode pTargetNode, boolean swapChildren) throws COMException {
        invokeN("SwapNode", new Object[]{pTargetNode, new java.lang.Boolean(swapChildren)}, 2);
    }
    /**
     * 
     */
    public DiagramNode CloneNode(boolean copyChildren, DiagramNode pTargetNode, int pos) throws COMException {
        return new DiagramNode((DispatchPtr) invokeN("CloneNode", new Object[]{new java.lang.Boolean(copyChildren), pTargetNode, new java.lang.Integer(pos)}, 3));
    }
    /**
     * 
     */
    public void TransferChildren(DiagramNode pReceivingNode) throws COMException {
        invokeN("TransferChildren", new Object[]{pReceivingNode}, 1);
    }
    /**
     * 
     */
    public DiagramNode NextNode() throws COMException {
        return new DiagramNode((DispatchPtr) invoke("NextNode"));
    }
    /**
     * 
     */
    public DiagramNode PrevNode() throws COMException {
        return new DiagramNode((DispatchPtr) invoke("PrevNode"));
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public DiagramNodeChildren getChildren() throws COMException {
        return new DiagramNodeChildren((DispatchPtr) get("Children"));
    }
    /**
     * 
     */
    public Shape getShape() throws COMException {
        return new Shape((DispatchPtr) get("Shape"));
    }
    /**
     * 
     */
    public DiagramNode getRoot() throws COMException {
        return new DiagramNode((DispatchPtr) get("Root"));
    }
    /**
     * 
     */
    public Office.IMsoDiagram getDiagram() throws COMException {
        return new Office.IMsoDiagram((DispatchPtr) get("Diagram"));
    }
    /**
     * 
     */
    public int getLayout() throws COMException {
        return ((java.lang.Integer) get("Layout")).intValue();
    }
    /**
     * 
     */
    public void setLayout(int newLayout) throws COMException {
        put("Layout", new java.lang.Integer(newLayout));
    }
    /**
     * 
     */
    public Shape getTextShape() throws COMException {
        return new Shape((DispatchPtr) get("TextShape"));
    }
}
