// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\EXCEL.EXE
// check for latest version at http://www.composiasoft.com

package Excel;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;

import Office.*;

public class DialogSheet extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{000208AF-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, DialogSheet.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty DialogSheet Object
     */
    public DialogSheet() throws COMException {
        super();
    }
    /**
     * Creates DialogSheet Object with progID
     */
    public DialogSheet(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of DialogSheet Object
     */
    public DialogSheet(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates DialogSheet Object with CLSID
     */
    public DialogSheet(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public void Activate() throws COMException {
        invoke("Activate");
    }
    /**
     * 
     */
    public void Copy() throws COMException {
        invoke("Copy");
    }
    public void Copy(java.lang.Object Before) throws COMException {
        invokeN("Copy", new Object[]{Before}, 1);
    }
    public void Copy(java.lang.Object Before, java.lang.Object After) throws COMException {
        invokeN("Copy", new Object[]{Before, After}, 2);
    }
    /**
     * 
     */
    public void Delete() throws COMException {
        invoke("Delete");
    }
    /**
     * 
     */
    public java.lang.String getCodeName() throws COMException {
        return (java.lang.String) get("CodeName");
    }
    /**
     * 
     */
    public java.lang.String get_CodeName() throws COMException {
        return (java.lang.String) get("_CodeName");
    }
    /**
     * 
     */
    public void set_CodeName(java.lang.String new_CodeName) throws COMException {
        put("_CodeName", new_CodeName);
    }
    /**
     * 
     */
    public int getIndex() throws COMException {
        return ((java.lang.Integer) get("Index")).intValue();
    }
    /**
     * 
     */
    public void Move() throws COMException {
        invoke("Move");
    }
    public void Move(java.lang.Object Before) throws COMException {
        invokeN("Move", new Object[]{Before}, 1);
    }
    public void Move(java.lang.Object Before, java.lang.Object After) throws COMException {
        invokeN("Move", new Object[]{Before, After}, 2);
    }
    /**
     * 
     */
    public java.lang.String getName() throws COMException {
        return (java.lang.String) get("Name");
    }
    /**
     * 
     */
    public void setName(java.lang.String newName) throws COMException {
        put("Name", newName);
    }
    /**
     * 
     */
    public DispatchPtr getNext() throws COMException {
        return (DispatchPtr) get("Next");
    }
    /**
     * 
     */
    public java.lang.String getOnDoubleClick() throws COMException {
        return (java.lang.String) get("OnDoubleClick");
    }
    /**
     * 
     */
    public void setOnDoubleClick(java.lang.String newOnDoubleClick) throws COMException {
        put("OnDoubleClick", newOnDoubleClick);
    }
    /**
     * 
     */
    public java.lang.String getOnSheetActivate() throws COMException {
        return (java.lang.String) get("OnSheetActivate");
    }
    /**
     * 
     */
    public void setOnSheetActivate(java.lang.String newOnSheetActivate) throws COMException {
        put("OnSheetActivate", newOnSheetActivate);
    }
    /**
     * 
     */
    public java.lang.String getOnSheetDeactivate() throws COMException {
        return (java.lang.String) get("OnSheetDeactivate");
    }
    /**
     * 
     */
    public void setOnSheetDeactivate(java.lang.String newOnSheetDeactivate) throws COMException {
        put("OnSheetDeactivate", newOnSheetDeactivate);
    }
    /**
     * 
     */
    public PageSetup getPageSetup() throws COMException {
        return new PageSetup((DispatchPtr) get("PageSetup"));
    }
    /**
     * 
     */
    public DispatchPtr getPrevious() throws COMException {
        return (DispatchPtr) get("Previous");
    }
    /**
     * 
     */
    public void _PrintOut() throws COMException {
        invoke("_PrintOut");
    }
    public void _PrintOut(java.lang.Object From) throws COMException {
        invokeN("_PrintOut", new Object[]{From}, 1);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To}, 2);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies}, 3);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview}, 4);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter}, 5);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile}, 6);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate}, 7);
    }
    /**
     * 
     */
    public void PrintPreview() throws COMException {
        invoke("PrintPreview");
    }
    public void PrintPreview(java.lang.Object EnableChanges) throws COMException {
        invokeN("PrintPreview", new Object[]{EnableChanges}, 1);
    }
    /**
     * 
     */
    public void _Protect() throws COMException {
        invoke("_Protect");
    }
    public void _Protect(java.lang.Object Password) throws COMException {
        invokeN("_Protect", new Object[]{Password}, 1);
    }
    public void _Protect(java.lang.Object Password, java.lang.Object DrawingObjects) throws COMException {
        invokeN("_Protect", new Object[]{Password, DrawingObjects}, 2);
    }
    public void _Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents) throws COMException {
        invokeN("_Protect", new Object[]{Password, DrawingObjects, Contents}, 3);
    }
    public void _Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios) throws COMException {
        invokeN("_Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios}, 4);
    }
    public void _Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly) throws COMException {
        invokeN("_Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly}, 5);
    }
    /**
     * 
     */
    public boolean getProtectContents() throws COMException {
        return ((java.lang.Boolean) get("ProtectContents")).booleanValue();
    }
    /**
     * 
     */
    public boolean getProtectDrawingObjects() throws COMException {
        return ((java.lang.Boolean) get("ProtectDrawingObjects")).booleanValue();
    }
    /**
     * 
     */
    public boolean getProtectionMode() throws COMException {
        return ((java.lang.Boolean) get("ProtectionMode")).booleanValue();
    }
    /**
     * 
     */
    public boolean getProtectScenarios() throws COMException {
        return ((java.lang.Boolean) get("ProtectScenarios")).booleanValue();
    }
    /**
     * 
     */
    public void _SaveAs(java.lang.String Filename) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename}, 1);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat}, 2);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password}, 3);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword}, 4);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended}, 5);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup}, 6);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru}, 7);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru, java.lang.Object TextCodepage) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru, TextCodepage}, 8);
    }
    public void _SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru, java.lang.Object TextCodepage, java.lang.Object TextVisualLayout) throws COMException {
        invokeN("_SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru, TextCodepage, TextVisualLayout}, 9);
    }
    /**
     * 
     */
    public void Select() throws COMException {
        invoke("Select");
    }
    public void Select(java.lang.Object Replace) throws COMException {
        invokeN("Select", new Object[]{Replace}, 1);
    }
    /**
     * 
     */
    public void Unprotect() throws COMException {
        invoke("Unprotect");
    }
    public void Unprotect(java.lang.Object Password) throws COMException {
        invokeN("Unprotect", new Object[]{Password}, 1);
    }
    /**
     * 
     */
    public int getVisible() throws COMException {
        return ((java.lang.Integer) get("Visible")).intValue();
    }
    /**
     * 
     */
    public void setVisible(int newVisible) throws COMException {
        put("Visible", new java.lang.Integer(newVisible));
    }
    /**
     * 
     */
    public Shapes getShapes() throws COMException {
        return new Shapes((DispatchPtr) get("Shapes"));
    }
    /**
     * 
     */
    public void _Dummy29() throws COMException {
        invoke("_Dummy29");
    }
    /**
     * 
     */
    public DispatchPtr Arcs() throws COMException {
        return (DispatchPtr) invoke("Arcs");
    }
    public DispatchPtr Arcs(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Arcs", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy31() throws COMException {
        invoke("_Dummy31");
    }
    /**
     * 
     */
    public void _Dummy32() throws COMException {
        invoke("_Dummy32");
    }
    /**
     * 
     */
    public DispatchPtr Buttons() throws COMException {
        return (DispatchPtr) invoke("Buttons");
    }
    public DispatchPtr Buttons(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Buttons", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy34() throws COMException {
        invoke("_Dummy34");
    }
    /**
     * 
     */
    public boolean getEnableCalculation() throws COMException {
        return ((java.lang.Boolean) get("EnableCalculation")).booleanValue();
    }
    /**
     * 
     */
    public void setEnableCalculation(boolean newEnableCalculation) throws COMException {
        put("EnableCalculation", new java.lang.Boolean(newEnableCalculation));
    }
    /**
     * 
     */
    public void _Dummy36() throws COMException {
        invoke("_Dummy36");
    }
    /**
     * 
     */
    public DispatchPtr ChartObjects() throws COMException {
        return (DispatchPtr) invoke("ChartObjects");
    }
    public DispatchPtr ChartObjects(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("ChartObjects", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr CheckBoxes() throws COMException {
        return (DispatchPtr) invoke("CheckBoxes");
    }
    public DispatchPtr CheckBoxes(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("CheckBoxes", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void CheckSpelling() throws COMException {
        invoke("CheckSpelling");
    }
    public void CheckSpelling(java.lang.Object CustomDictionary) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary}, 1);
    }
    public void CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase}, 2);
    }
    public void CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase, java.lang.Object AlwaysSuggest) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest}, 3);
    }
    public void CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase, java.lang.Object AlwaysSuggest, java.lang.Object SpellLang) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, SpellLang}, 4);
    }
    /**
     * 
     */
    public void _Dummy40() throws COMException {
        invoke("_Dummy40");
    }
    /**
     * 
     */
    public void _Dummy41() throws COMException {
        invoke("_Dummy41");
    }
    /**
     * 
     */
    public void _Dummy42() throws COMException {
        invoke("_Dummy42");
    }
    /**
     * 
     */
    public void _Dummy43() throws COMException {
        invoke("_Dummy43");
    }
    /**
     * 
     */
    public void _Dummy44() throws COMException {
        invoke("_Dummy44");
    }
    /**
     * 
     */
    public void _Dummy45() throws COMException {
        invoke("_Dummy45");
    }
    /**
     * 
     */
    public boolean getDisplayAutomaticPageBreaks() throws COMException {
        return ((java.lang.Boolean) get("DisplayAutomaticPageBreaks")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayAutomaticPageBreaks(boolean newDisplayAutomaticPageBreaks) throws COMException {
        put("DisplayAutomaticPageBreaks", new java.lang.Boolean(newDisplayAutomaticPageBreaks));
    }
    /**
     * 
     */
    public DispatchPtr Drawings() throws COMException {
        return (DispatchPtr) invoke("Drawings");
    }
    public DispatchPtr Drawings(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Drawings", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr DrawingObjects() throws COMException {
        return (DispatchPtr) invoke("DrawingObjects");
    }
    public DispatchPtr DrawingObjects(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("DrawingObjects", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr DropDowns() throws COMException {
        return (DispatchPtr) invoke("DropDowns");
    }
    public DispatchPtr DropDowns(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("DropDowns", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public boolean getEnableAutoFilter() throws COMException {
        return ((java.lang.Boolean) get("EnableAutoFilter")).booleanValue();
    }
    /**
     * 
     */
    public void setEnableAutoFilter(boolean newEnableAutoFilter) throws COMException {
        put("EnableAutoFilter", new java.lang.Boolean(newEnableAutoFilter));
    }
    /**
     * 
     */
    public int getEnableSelection() throws COMException {
        return ((java.lang.Integer) get("EnableSelection")).intValue();
    }
    /**
     * 
     */
    public void setEnableSelection(int newEnableSelection) throws COMException {
        put("EnableSelection", new java.lang.Integer(newEnableSelection));
    }
    /**
     * 
     */
    public boolean getEnableOutlining() throws COMException {
        return ((java.lang.Boolean) get("EnableOutlining")).booleanValue();
    }
    /**
     * 
     */
    public void setEnableOutlining(boolean newEnableOutlining) throws COMException {
        put("EnableOutlining", new java.lang.Boolean(newEnableOutlining));
    }
    /**
     * 
     */
    public boolean getEnablePivotTable() throws COMException {
        return ((java.lang.Boolean) get("EnablePivotTable")).booleanValue();
    }
    /**
     * 
     */
    public void setEnablePivotTable(boolean newEnablePivotTable) throws COMException {
        put("EnablePivotTable", new java.lang.Boolean(newEnablePivotTable));
    }
    /**
     * 
     */
    public java.lang.Object Evaluate(java.lang.Object Name) throws COMException {
        return (java.lang.Object) invokeN("Evaluate", new Object[]{Name}, 1);
    }
    /**
     * 
     */
    public java.lang.Object _Evaluate(java.lang.Object Name) throws COMException {
        return (java.lang.Object) invokeN("_Evaluate", new Object[]{Name}, 1);
    }
    /**
     * 
     */
    public void _Dummy56() throws COMException {
        invoke("_Dummy56");
    }
    /**
     * 
     */
    public void ResetAllPageBreaks() throws COMException {
        invoke("ResetAllPageBreaks");
    }
    /**
     * 
     */
    public DispatchPtr GroupBoxes() throws COMException {
        return (DispatchPtr) invoke("GroupBoxes");
    }
    public DispatchPtr GroupBoxes(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("GroupBoxes", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr GroupObjects() throws COMException {
        return (DispatchPtr) invoke("GroupObjects");
    }
    public DispatchPtr GroupObjects(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("GroupObjects", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr Labels() throws COMException {
        return (DispatchPtr) invoke("Labels");
    }
    public DispatchPtr Labels(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Labels", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr Lines() throws COMException {
        return (DispatchPtr) invoke("Lines");
    }
    public DispatchPtr Lines(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Lines", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public DispatchPtr ListBoxes() throws COMException {
        return (DispatchPtr) invoke("ListBoxes");
    }
    public DispatchPtr ListBoxes(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("ListBoxes", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public Names getNames() throws COMException {
        return new Names((DispatchPtr) get("Names"));
    }
    /**
     * 
     */
    public DispatchPtr OLEObjects() throws COMException {
        return (DispatchPtr) invoke("OLEObjects");
    }
    public DispatchPtr OLEObjects(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("OLEObjects", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy65() throws COMException {
        invoke("_Dummy65");
    }
    /**
     * 
     */
    public void _Dummy66() throws COMException {
        invoke("_Dummy66");
    }
    /**
     * 
     */
    public void _Dummy67() throws COMException {
        invoke("_Dummy67");
    }
    /**
     * 
     */
    public DispatchPtr OptionButtons() throws COMException {
        return (DispatchPtr) invoke("OptionButtons");
    }
    public DispatchPtr OptionButtons(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("OptionButtons", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy69() throws COMException {
        invoke("_Dummy69");
    }
    /**
     * 
     */
    public DispatchPtr Ovals() throws COMException {
        return (DispatchPtr) invoke("Ovals");
    }
    public DispatchPtr Ovals(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Ovals", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void Paste() throws COMException {
        invoke("Paste");
    }
    public void Paste(java.lang.Object Destination) throws COMException {
        invokeN("Paste", new Object[]{Destination}, 1);
    }
    public void Paste(java.lang.Object Destination, java.lang.Object Link) throws COMException {
        invokeN("Paste", new Object[]{Destination, Link}, 2);
    }
    /**
     * 
     */
    public void _PasteSpecial() throws COMException {
        invoke("_PasteSpecial");
    }
    public void _PasteSpecial(java.lang.Object Format) throws COMException {
        invokeN("_PasteSpecial", new Object[]{Format}, 1);
    }
    public void _PasteSpecial(java.lang.Object Format, java.lang.Object Link) throws COMException {
        invokeN("_PasteSpecial", new Object[]{Format, Link}, 2);
    }
    public void _PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon) throws COMException {
        invokeN("_PasteSpecial", new Object[]{Format, Link, DisplayAsIcon}, 3);
    }
    public void _PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName) throws COMException {
        invokeN("_PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName}, 4);
    }
    public void _PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName, java.lang.Object IconIndex) throws COMException {
        invokeN("_PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName, IconIndex}, 5);
    }
    public void _PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName, java.lang.Object IconIndex, java.lang.Object IconLabel) throws COMException {
        invokeN("_PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName, IconIndex, IconLabel}, 6);
    }
    /**
     * 
     */
    public DispatchPtr Pictures() throws COMException {
        return (DispatchPtr) invoke("Pictures");
    }
    public DispatchPtr Pictures(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Pictures", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy74() throws COMException {
        invoke("_Dummy74");
    }
    /**
     * 
     */
    public void _Dummy75() throws COMException {
        invoke("_Dummy75");
    }
    /**
     * 
     */
    public void _Dummy76() throws COMException {
        invoke("_Dummy76");
    }
    /**
     * 
     */
    public DispatchPtr Rectangles() throws COMException {
        return (DispatchPtr) invoke("Rectangles");
    }
    public DispatchPtr Rectangles(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Rectangles", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy78() throws COMException {
        invoke("_Dummy78");
    }
    /**
     * 
     */
    public void _Dummy79() throws COMException {
        invoke("_Dummy79");
    }
    /**
     * 
     */
    public java.lang.String getScrollArea() throws COMException {
        return (java.lang.String) get("ScrollArea");
    }
    /**
     * 
     */
    public void setScrollArea(java.lang.String newScrollArea) throws COMException {
        put("ScrollArea", newScrollArea);
    }
    /**
     * 
     */
    public DispatchPtr ScrollBars() throws COMException {
        return (DispatchPtr) invoke("ScrollBars");
    }
    public DispatchPtr ScrollBars(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("ScrollBars", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy82() throws COMException {
        invoke("_Dummy82");
    }
    /**
     * 
     */
    public void _Dummy83() throws COMException {
        invoke("_Dummy83");
    }
    /**
     * 
     */
    public DispatchPtr Spinners() throws COMException {
        return (DispatchPtr) invoke("Spinners");
    }
    public DispatchPtr Spinners(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("Spinners", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy85() throws COMException {
        invoke("_Dummy85");
    }
    /**
     * 
     */
    public void _Dummy86() throws COMException {
        invoke("_Dummy86");
    }
    /**
     * 
     */
    public DispatchPtr TextBoxes() throws COMException {
        return (DispatchPtr) invoke("TextBoxes");
    }
    public DispatchPtr TextBoxes(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("TextBoxes", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public void _Dummy88() throws COMException {
        invoke("_Dummy88");
    }
    /**
     * 
     */
    public void _Dummy89() throws COMException {
        invoke("_Dummy89");
    }
    /**
     * 
     */
    public void _Dummy90() throws COMException {
        invoke("_Dummy90");
    }
    /**
     * 
     */
    public HPageBreaks getHPageBreaks() throws COMException {
        return new HPageBreaks((DispatchPtr) get("HPageBreaks"));
    }
    /**
     * 
     */
    public VPageBreaks getVPageBreaks() throws COMException {
        return new VPageBreaks((DispatchPtr) get("VPageBreaks"));
    }
    /**
     * 
     */
    public QueryTables getQueryTables() throws COMException {
        return new QueryTables((DispatchPtr) get("QueryTables"));
    }
    /**
     * 
     */
    public boolean getDisplayPageBreaks() throws COMException {
        return ((java.lang.Boolean) get("DisplayPageBreaks")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayPageBreaks(boolean newDisplayPageBreaks) throws COMException {
        put("DisplayPageBreaks", new java.lang.Boolean(newDisplayPageBreaks));
    }
    /**
     * 
     */
    public Comments getComments() throws COMException {
        return new Comments((DispatchPtr) get("Comments"));
    }
    /**
     * 
     */
    public Hyperlinks getHyperlinks() throws COMException {
        return new Hyperlinks((DispatchPtr) get("Hyperlinks"));
    }
    /**
     * 
     */
    public void ClearCircles() throws COMException {
        invoke("ClearCircles");
    }
    /**
     * 
     */
    public void CircleInvalid() throws COMException {
        invoke("CircleInvalid");
    }
    /**
     * 
     */
    public int get_DisplayRightToLeft() throws COMException {
        return ((java.lang.Integer) get("_DisplayRightToLeft")).intValue();
    }
    /**
     * 
     */
    public void set_DisplayRightToLeft(int new_DisplayRightToLeft) throws COMException {
        put("_DisplayRightToLeft", new java.lang.Integer(new_DisplayRightToLeft));
    }
    /**
     * 
     */
    public AutoFilter getAutoFilter() throws COMException {
        return new AutoFilter((DispatchPtr) get("AutoFilter"));
    }
    /**
     * 
     */
    public boolean getDisplayRightToLeft() throws COMException {
        return ((java.lang.Boolean) get("DisplayRightToLeft")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayRightToLeft(boolean newDisplayRightToLeft) throws COMException {
        put("DisplayRightToLeft", new java.lang.Boolean(newDisplayRightToLeft));
    }
    /**
     * 
     */
    public Office.Scripts getScripts() throws COMException {
        return new Office.Scripts((DispatchPtr) get("Scripts"));
    }
    /**
     * 
     */
    public void PrintOut() throws COMException {
        invoke("PrintOut");
    }
    public void PrintOut(java.lang.Object From) throws COMException {
        invokeN("PrintOut", new Object[]{From}, 1);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To) throws COMException {
        invokeN("PrintOut", new Object[]{From, To}, 2);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies}, 3);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview}, 4);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter}, 5);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile}, 6);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate}, 7);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate, java.lang.Object PrToFileName) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate, PrToFileName}, 8);
    }
    /**
     * 
     */
    public void _CheckSpelling() throws COMException {
        invoke("_CheckSpelling");
    }
    public void _CheckSpelling(java.lang.Object CustomDictionary) throws COMException {
        invokeN("_CheckSpelling", new Object[]{CustomDictionary}, 1);
    }
    public void _CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase) throws COMException {
        invokeN("_CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase}, 2);
    }
    public void _CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase, java.lang.Object AlwaysSuggest) throws COMException {
        invokeN("_CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest}, 3);
    }
    public void _CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase, java.lang.Object AlwaysSuggest, java.lang.Object SpellLang) throws COMException {
        invokeN("_CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, SpellLang}, 4);
    }
    public void _CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase, java.lang.Object AlwaysSuggest, java.lang.Object SpellLang, java.lang.Object IgnoreFinalYaa) throws COMException {
        invokeN("_CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, SpellLang, IgnoreFinalYaa}, 5);
    }
    public void _CheckSpelling(java.lang.Object CustomDictionary, java.lang.Object IgnoreUppercase, java.lang.Object AlwaysSuggest, java.lang.Object SpellLang, java.lang.Object IgnoreFinalYaa, java.lang.Object SpellScript) throws COMException {
        invokeN("_CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, SpellLang, IgnoreFinalYaa, SpellScript}, 6);
    }
    /**
     * 
     */
    public Tab getTab() throws COMException {
        return new Tab((DispatchPtr) get("Tab"));
    }
    /**
     * 
     */
    public Office.IMsoEnvelopeVB getMailEnvelope() throws COMException {
        return new Office.IMsoEnvelopeVB((DispatchPtr) get("MailEnvelope"));
    }
    /**
     * 
     */
    public void SaveAs(java.lang.String Filename) throws COMException {
        invokeN("SaveAs", new Object[]{Filename}, 1);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat}, 2);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password}, 3);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword}, 4);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended}, 5);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup}, 6);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru}, 7);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru, java.lang.Object TextCodepage) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru, TextCodepage}, 8);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru, java.lang.Object TextCodepage, java.lang.Object TextVisualLayout) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru, TextCodepage, TextVisualLayout}, 9);
    }
    public void SaveAs(java.lang.String Filename, java.lang.Object FileFormat, java.lang.Object Password, java.lang.Object WriteResPassword, java.lang.Object ReadOnlyRecommended, java.lang.Object CreateBackup, java.lang.Object AddToMru, java.lang.Object TextCodepage, java.lang.Object TextVisualLayout, java.lang.Object Local) throws COMException {
        invokeN("SaveAs", new Object[]{Filename, FileFormat, Password, WriteResPassword, ReadOnlyRecommended, CreateBackup, AddToMru, TextCodepage, TextVisualLayout, Local}, 10);
    }
    /**
     * 
     */
    public CustomProperties getCustomProperties() throws COMException {
        return new CustomProperties((DispatchPtr) get("CustomProperties"));
    }
    /**
     * 
     */
    public SmartTags getSmartTags() throws COMException {
        return new SmartTags((DispatchPtr) get("SmartTags"));
    }
    /**
     * 
     */
    public Protection getProtection() throws COMException {
        return new Protection((DispatchPtr) get("Protection"));
    }
    /**
     * 
     */
    public void PasteSpecial() throws COMException {
        invoke("PasteSpecial");
    }
    public void PasteSpecial(java.lang.Object Format) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format}, 1);
    }
    public void PasteSpecial(java.lang.Object Format, java.lang.Object Link) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format, Link}, 2);
    }
    public void PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format, Link, DisplayAsIcon}, 3);
    }
    public void PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName}, 4);
    }
    public void PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName, java.lang.Object IconIndex) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName, IconIndex}, 5);
    }
    public void PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName, java.lang.Object IconIndex, java.lang.Object IconLabel) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName, IconIndex, IconLabel}, 6);
    }
    public void PasteSpecial(java.lang.Object Format, java.lang.Object Link, java.lang.Object DisplayAsIcon, java.lang.Object IconFileName, java.lang.Object IconIndex, java.lang.Object IconLabel, java.lang.Object NoHTMLFormatting) throws COMException {
        invokeN("PasteSpecial", new Object[]{Format, Link, DisplayAsIcon, IconFileName, IconIndex, IconLabel, NoHTMLFormatting}, 7);
    }
    /**
     * 
     */
    public void Protect() throws COMException {
        invoke("Protect");
    }
    public void Protect(java.lang.Object Password) throws COMException {
        invokeN("Protect", new Object[]{Password}, 1);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects}, 2);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents}, 3);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios}, 4);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly}, 5);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells}, 6);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns}, 7);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows}, 8);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns}, 9);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows}, 10);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows, java.lang.Object AllowInsertingHyperlinks) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows, AllowInsertingHyperlinks}, 11);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows, java.lang.Object AllowInsertingHyperlinks, java.lang.Object AllowDeletingColumns) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows, AllowInsertingHyperlinks, AllowDeletingColumns}, 12);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows, java.lang.Object AllowInsertingHyperlinks, java.lang.Object AllowDeletingColumns, java.lang.Object AllowDeletingRows) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows, AllowInsertingHyperlinks, AllowDeletingColumns, AllowDeletingRows}, 13);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows, java.lang.Object AllowInsertingHyperlinks, java.lang.Object AllowDeletingColumns, java.lang.Object AllowDeletingRows, java.lang.Object AllowSorting) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows, AllowInsertingHyperlinks, AllowDeletingColumns, AllowDeletingRows, AllowSorting}, 14);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows, java.lang.Object AllowInsertingHyperlinks, java.lang.Object AllowDeletingColumns, java.lang.Object AllowDeletingRows, java.lang.Object AllowSorting, java.lang.Object AllowFiltering) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows, AllowInsertingHyperlinks, AllowDeletingColumns, AllowDeletingRows, AllowSorting, AllowFiltering}, 15);
    }
    public void Protect(java.lang.Object Password, java.lang.Object DrawingObjects, java.lang.Object Contents, java.lang.Object Scenarios, java.lang.Object UserInterfaceOnly, java.lang.Object AllowFormattingCells, java.lang.Object AllowFormattingColumns, java.lang.Object AllowFormattingRows, java.lang.Object AllowInsertingColumns, java.lang.Object AllowInsertingRows, java.lang.Object AllowInsertingHyperlinks, java.lang.Object AllowDeletingColumns, java.lang.Object AllowDeletingRows, java.lang.Object AllowSorting, java.lang.Object AllowFiltering, java.lang.Object AllowUsingPivotTables) throws COMException {
        invokeN("Protect", new Object[]{Password, DrawingObjects, Contents, Scenarios, UserInterfaceOnly, AllowFormattingCells, AllowFormattingColumns, AllowFormattingRows, AllowInsertingColumns, AllowInsertingRows, AllowInsertingHyperlinks, AllowDeletingColumns, AllowDeletingRows, AllowSorting, AllowFiltering, AllowUsingPivotTables}, 16);
    }
    /**
     * 
     */
    public java.lang.Object getDefaultButton() throws COMException {
        return (java.lang.Object) get("DefaultButton");
    }
    /**
     * 
     */
    public void setDefaultButton(java.lang.Object newDefaultButton) throws COMException {
        put("DefaultButton", newDefaultButton);
    }
    /**
     * 
     */
    public DialogFrame getDialogFrame() throws COMException {
        return new DialogFrame((DispatchPtr) get("DialogFrame"));
    }
    /**
     * 
     */
    public DispatchPtr EditBoxes() throws COMException {
        return (DispatchPtr) invoke("EditBoxes");
    }
    public DispatchPtr EditBoxes(java.lang.Object Index) throws COMException {
        return (DispatchPtr) invokeN("EditBoxes", new Object[]{Index}, 1);
    }
    /**
     * 
     */
    public java.lang.Object getFocus() throws COMException {
        return (java.lang.Object) get("Focus");
    }
    /**
     * 
     */
    public void setFocus(java.lang.Object newFocus) throws COMException {
        put("Focus", newFocus);
    }
    /**
     * 
     */
    public boolean Hide() throws COMException {
        return ((java.lang.Boolean) invoke("Hide")).booleanValue();
    }
    public boolean Hide(java.lang.Object Cancel) throws COMException {
        return ((java.lang.Boolean) invokeN("Hide", new Object[]{Cancel}, 1)).booleanValue();
    }
    /**
     * 
     */
    public boolean Show() throws COMException {
        return ((java.lang.Boolean) invoke("Show")).booleanValue();
    }
}
